%define upstream_name    Net-OAuth2
%define upstream_version 0.67

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    OAuth 2.0 implementation
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
OAuth 2.0 implementation

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 28 2022 umeabot <umeabot> 0.670.0-2.mga9
+ Revision: 1830529
- Mageia 9 Mass Rebuild

* Mon Oct 04 2021 tv <tv> 0.670.0-1.mga9
+ Revision: 1749253
- update to 0.67

* Sat Jul 17 2021 bcornec <bcornec> 0.660.0-1.mga9
+ Revision: 1736310
- Import perl-Net-OAuth2 0.66
- Rename moduel with correct name
- Created package structure for perl-Net-OAuth2-Client.

